<?php



/*

Plugin Name: Guyem Bookmarks
Plugin URI: http://www.guyro.com/guyem-social-bookmark-plugin
Description: Guyem Bookmarks make displaying a range of social bookmark buttons simple, crisp and clutter free.
Version: 1.4
Author: Guy
Author URI: http://www.guyro.com

 * License:       GNU General Public License, v2 (or newer)
 * License URI:  http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 *
 */ 



add_action('init', 'init_textdomain_guy');

function init_textdomain_guy(){
  load_plugin_textdomain('guyem_bookmarks',WP_PLUGIN_URL . '/' . dirname(plugin_basename (__FILE__)) . '/lang');
}



function guyem_bookmarks_options() {

      $bmguyem = $newbmguyem = get_option('bmguyem_options');

   if(isset($_POST['submitted'])){

      //Capturamos la data del formulario enviado

      $newbmguyem['delicious'] = strip_tags(stripslashes($_POST["delicious"]));
      $newbmguyem['digg'] = strip_tags(stripslashes($_POST["digg"]));
      $newbmguyem['google'] = strip_tags(stripslashes($_POST["google"]));
      $newbmguyem['yahoo'] = strip_tags(stripslashes($_POST["yahoo"]));
      $newbmguyem['technorati'] = strip_tags(stripslashes($_POST["technorati"]));
      $newbmguyem['meneame'] = strip_tags(stripslashes($_POST["meneame"]));
      $newbmguyem['fresqui'] = strip_tags(stripslashes($_POST["fresqui"]));
      $newbmguyem['enchilame'] = strip_tags(stripslashes($_POST["enchilame"]));
      $newbmguyem['blinklist'] = strip_tags(stripslashes($_POST["blinklist"]));
      $newbmguyem['simpy'] = strip_tags(stripslashes($_POST["simpy"]));
      $newbmguyem['spurl'] = strip_tags(stripslashes($_POST["spurl"]));
      $newbmguyem['reddit'] = strip_tags(stripslashes($_POST["reddit"]));
      $newbmguyem['autobombeame'] = strip_tags(stripslashes($_POST["autobombeame"]));
      $newbmguyem['bitacoras'] = strip_tags(stripslashes($_POST["bitacoras"]));
      $newbmguyem['designfloat'] = strip_tags(stripslashes($_POST["designfloat"]));
      $newbmguyem['wikio'] = strip_tags(stripslashes($_POST["wikio"]));
      $newbmguyem['friendfeed'] = strip_tags(stripslashes($_POST["friendfeed"]));
      $newbmguyem['facebook'] = strip_tags(stripslashes($_POST["facebook"]));
      $newbmguyem['twitter'] = strip_tags(stripslashes($_POST["twitter"]));
      $newbmguyem['emailthis'] = strip_tags(stripslashes($_POST["emailthis"]));

      $newbmguyem['textshare'] = strip_tags(stripslashes($_POST["textshare"]));

      //Actualizamos las opciones

      update_option("bmguyem_options", $newbmguyem); 

      //Primer parametro es el nombre de la opcion y el segundo es el valor, se guardaran en la BD de WP
      //Imprimimos un mensaje que todo esta OK

      echo "<div id=\"message\" class=\"updated fade\"><p><strong>Options Updated.</strong></p></div>";

   } //fin del isset



	
   if ( $bmguyem != $newbmguyem ) {
		$bmguyem = $newbmguyem;
		update_option('bmguyem_options', $bmguyem);
   }


   echo '

      <div class="wrap" id="sm_div">
      <style type="text/css">

      a.enlaceInicio{
      background-image:url('.get_bloginfo('wpurl').'/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/icon-arne.gif);
      padding:2px;
      display:block;
      padding-left:25px;
      background-repeat:no-repeat;
      background-position:5px 50%;
      text-decoration:none;
      border:none;
      }

      .sm-padded .inside {
      margin:12px!important;
      }

      </style>

      <h2>Guyem Bookmarks Wordpress Plugin 1.4 </h2>
      <div id="poststuff" class="metabox-holder has-right-sidebar">
            <div class="inner-sidebar">
                 <div id="side-sortables" class="meta-box-sortabless ui-sortable" style="position:relative;"> 
  		      
		       <div id="sm_smres" class="postbox">
			   <h3 class="hndle"><span>Subscribe to my blog for updates:</span></h3>
			      <div class="inside">
				<a href="http://guyro.com/?feed=atom">Subscribe to my feed <img src="http://guyro.com/wp-content/themes/guy/images/rss.gif" alt="guyro.com rss"></a>
              		      </div><!--fin del class:inside-->
		       </div><!--fin del id:sm_pnres-->	

         	       <div id="dm_donations" class="postbox">
           		   <h3 class="hndle"><span>Follow me for updates:</span></h3>
              		      <div class="inside">
                		<p>I can be found on Twitter - <a href="http://www.twitter.com/guyiam">@guyiam</a></p>
                 		      </div><!--fin del class:inside-->
		       </div><!--fin del id:dm_donations-->	
        	 </div><!--fin del id:side-sortables-->
            </div><!--fin del class:inner-sidebar-->

	    <!--fin del sidebar-->

	    <form method="post" action="'.get_bloginfo('wpurl').'/wp-admin/options-general.php?page=guyem-bookmarks-wordpress-plugin/guyem_bookmarks.php">											
	       <div class="has-sidebar sm-padded" >		
	          <div id="post-body-content" class="has-sidebar-content">
  		     <div class="meta-box-sortabless">

		     <!-- Area de Configuracion -->
		     <div id="sm_rebuild" class="postbox">
		         <h3 class="hndle"><span>Social Bookmarks Select:</span></h3>
			     <div class="inside">
				<p>Here you can configure the bookmarks you want to display:</p>
				<table width="98%" border="0" cellspacing="2" cellpadding="2">
				   <tr style="background:#ebebeb;"><td colspan="3"><input type="text" maxlength="20" name="textshare" value="'; echo trim($newbmguyem['textshare']); echo'" ><span class="description">&nbsp;The text displayed alongside the icons (experimental). Default: Share</span></td></tr><tr>';



   echo '<td width="100"><input type="checkbox" name="delicious" value="true"';
	if( $newbmguyem['delicious'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Delicious </td><td width="100"><input type="checkbox" name="digg" value="true"';	
        if( $newbmguyem['digg'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Digg</td><td width="100"><input type="checkbox" name="google" value="true"';
        if( $newbmguyem['google'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Google</td></tr><tr><td width="100"><input type="checkbox" name="yahoo" value="true"';
        if( $newbmguyem['yahoo'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Yahoo</td><td width="100"><input type="checkbox" name="technorati" value="true"';
        if( $newbmguyem['technorati'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Technorati</td><td width="100"><input type="checkbox" name="meneame" value="true"';
        if( $newbmguyem['meneame'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Men&eacute;ame</td></tr><tr><td width="100"><input type="checkbox" name="fresqui" value="true"';
        if( $newbmguyem['fresqui'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Fresqui</td><td width="100"><input type="checkbox" name="enchilame" value="true"';
        if( $newbmguyem['enchilame'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Enchilame</td><td width="100"><input type="checkbox" name="blinklist" value="true"';
        if( $newbmguyem['blinklist'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Blinklist</td></tr><tr><td width="100"><input type="checkbox" name="simpy" value="true"';
        if( $newbmguyem['simpy'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Simpy</td><td width="100"><input type="checkbox" name="spurl" value="true"';	
        if( $newbmguyem['spurl'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Spurl</td><td width="100"><input type="checkbox" name="reddit" value="true"';
        if( $newbmguyem['reddit'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Reddit</td></tr><tr><td width="100"><input type="checkbox" name="autobombeame" value="true"';
        if( $newbmguyem['autobombeame'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Hotmail [*]</td><td width="100"><input type="checkbox" name="bitacoras" value="true"';
        if( $newbmguyem['bitacoras'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Bitacoras</td><td width="100"><input type="checkbox" name="designfloat" value="true"';
        if( $newbmguyem['designfloat'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Design Float</td></tr><tr><td width="100"><input type="checkbox" name="wikio" value="true"';
        if( $newbmguyem['wikio'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Wikio</td><td width="100"><input type="checkbox" name="friendfeed" value="true"';
        if( $newbmguyem['friendfeed'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> FriendFeed</td><td width="100"><input type="checkbox" name="facebook" value="true"';
        if( $newbmguyem['facebook'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Facebook</td></tr><tr><td width="100"><input type="checkbox" name="twitter" value="true"';
	if( $newbmguyem['twitter'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Twitter</td><td width="100"><input type="checkbox" name="emailthis" value="true"';
	if( $newbmguyem['emailthis'] == "true" ){ echo ' checked="checked"'; }
   echo '
      ></input> Email Burner</td><td width="100">-</td></tr></table>';


echo '<p>[*] Note: The dofollow link points to a post on guyro.com </p>';


	   echo '</div>

	</div>		

								

	<!-- Feedback -->

	<div id="sm_change_feedback" class="postbox">

	<h3 class="hndle"><span>Suggestions:</span></h3>

	  <div class="inside">

            If you have any suggestions for me, email me at <b>me@guyro.com</b>.

          </div>

	</div>							

	</div>	

	<div>

	<p class="submit" style="margin-top: -20px;">';

        echo '<input name="submitted" type="hidden" value="yes" />';

        echo '<input type="submit" name="Submit" value="Save Options &raquo;" />&nbsp;&nbsp;<input type="button" name="cancel" value="Cancel" class="button" onclick="javascript:history.go(-1)" />

	</p>

	</div>			

	</div>

	</div>

	</div></form></div>';

?>

<?php 

}



function bookmarks($before=" ", $after="") {

    //Get plugin option to check if we want to show the intro

        $newbmguyem = get_option("bmguyem_options"); //Get option title

		$ninguno="true";







	   $blogurl = get_bloginfo('wpurl');

	   
	   $blinklist_link = "http://www.blinklist.com/index.php?Action=Blink/addblink.php&amp;Description=&amp;Url=";  

	   $autobombeame_link = "http://www.guyro.com/guyem-social-bookmark-plugin/";

	   $delicious_link = "http://delicious.com/post?url=";

	   $digg_link = "http://digg.com/submit?url=";

	   $enchilame_link = "http://enchilame.com/submit.php?url=";

	   $fresqui_link = "http://tec.fresqui.com/post?url=";

	   $google_link = "http://www.google.com/bookmarks/mark?op=edit&amp;bkmk=";

	   $referer_link = "http://www.guyro.com";

	   $meneame_link = "http://meneame.net/submit.php?url=";

	   $reddit_link = "http://reddit.com/submit?url=";

	   $simpy_link = "http://www.simpy.com/simpy/LinkAdd.do?href=";

	   $spurl_link = "http://www.spurl.net/spurl.php?url=";

	   $technorati_link = "http://www.technorati.com/faves?add=";

	   $yahooweb_link = "http://myweb2.search.yahoo.com/myresults/bookmarklet?u=";

	   $bitacoras_link = "http://bitacoras.com/votar/anotacion/externo/mini/";

	   $designfloat_link = "http://www.designfloat.com/submit.php?url=";

	   $wikio_link = "http://www.wikio.es/vote?url=";

	   $friendfeed_link = "http://friendfeed.com/?url=";

	   $facebook_link = "http://www.facebook.com/share.php?u=";

	   $twitter_link = "http://twitter.com/home?status=";	

	   $emailthis_link= "http://www.feedburner.com/fb/a/emailFlare?itemTitle=";


	   $cadena = "&amp;title=";

	   $charyahoo = "&amp;t=";

	   $charemail = "&amp;uri=";
	

	   $post = urlencode(get_permalink());

	   $titulo = urlencode(the_title('','',false));



	    echo "".$before;

  		echo "<div class='bookmark'>
		<table align='left' border='0' cellpadding='0' width='100%'>
		<tr>";

		if(trim($newbmguyem['textshare'])==NULL){
			echo "<td>";
		}else{
			echo "<td style='vertical-align:middle' valign='middle' width='15%'><div class='link'><a href='$referer_link' title='Bookmarks plugin' style='text-decoration: none;'>".$newbmguyem['textshare'].":</a></div></td><td>";
		}

    	echo "".$after;





        if( $newbmguyem['delicious'] == "true" ){ 

 			echo "".$before;

		  	echo "<span class='pushbutton'><a href='$delicious_link$post$cadena".$titulo."' title='Delicious' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/delicious.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

        	echo "".$after;       	

			$ninguno="false";





        }

        if( $newbmguyem['digg'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$digg_link$post$cadena".$titulo."' title='Digg' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/digg.png' alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['google'] == "true" ){ 

        	echo "".$before;

  			echo "<span class='pushbutton'><a href='$google_link$post$cadena".$titulo."' title='Google' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/google.png'  alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

        	echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['yahoo'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$yahooweb_link$post$charyahoo".$titulo."' title='Yahoo' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/yahoo.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['technorati'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$technorati_link$post' title='Technorati' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/technorati.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['meneame'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$meneame_link$post' title='Meneame' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/meneame.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['fresqui'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$fresqui_link$post$cadena".$titulo."' title='Fresqui' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/fresqui.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['enchilame'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$enchilame_link".urldecode($post)."' target='_blank' rel='nofollow'><img title='Enchilame' src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/enchilame.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['blinklist'] == "true" ){ 

	        echo "".$before;

	  		echo "<span class='pushbutton'><a href='$blinklist_link$post$cadena".$titulo."' title='BlinkList' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/blinklist.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['simpy'] == "true" ){ 

	        echo "".$before;



		  	echo "<span class='pushbutton'><a href='$simpy_link$post$cadena".$titulo."' title='Simpy' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/simpy.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['spurl'] == "true" ){ 

	        echo "".$before;

		  	echo "<span class='pushbutton'><a href='$spurl_link$post$cadena".$titulo."' title='Spurl' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/spurl.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['reddit'] == "true" ){ 

	        echo "".$before;

		  	echo "<span class='pushbutton'><a href='$reddit_link$post$cadena".$titulo."' title='Reddit' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/reddit.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['autobombeame'] == "true" ){ 

	        echo "".$before;

		  	echo "<span class='pushbutton'><a href='$autobombeame_link' target='_blank' title='Hotmail'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/linklove.png' alt='Hotmail' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['bitacoras'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$bitacoras_link".preg_replace('/^https?:\/\//', '', get_permalink())."' title='Bitacoras.com' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/bitacoras.png' alt='' class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['designfloat'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$designfloat_link$post' title='Design Float' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/designfloat.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['wikio'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$wikio_link$post' title='Wikio' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/wikio.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['friendfeed'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$friendfeed_link$post$cadena".$titulo."' title='Friend Feed' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/friendfeed.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['facebook'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$facebook_link$post$charyahoo".$titulo."' title='Facebook' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/facebook.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['twitter'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$twitter_link".$titulo.": $post' title='Twitter' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/twitter.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        if( $newbmguyem['emailthis'] == "true" ){ 

	        echo "".$before;

	        echo "<span class='pushbutton'><a href='$emailthis_link".$titulo."$charemail$post' title='Email This' target='_blank' rel='nofollow'><img src='".$blogurl."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/images/email.png'  alt=''  class='book_img' border='none' style='margin:0; padding: 0;' /></a></span>";

	        echo "".$after;

			$ninguno="false";

        }

        echo "".$before;

        if( $ninguno == "true" ){ 

			echo "<span style=\"font-weight: bold;\">Guyem Bookmarks</span> is a plugin created by <a style=\"font-weight: bold;text-decoration: none;\" href=\"http://www.guyro.com\" target=\"_blank\">guyem</a>";

		}

  		echo "</td></tr></table><br/><br/></div>";

        echo "".$after;





        

}





function bmguyem_style () {

     echo "<!-- guyem bookmarks wordpress plugin v1.4 bv-->\n";
     echo "<link rel='stylesheet' href='".get_bloginfo('wpurl')."/wp-content/plugins/guyem-bookmarks-wordpress-plugin/css/style.css' type='text/css' />\n";
     echo "<!-- /guyem bookmarks wordpress plugin -->\n";

}



function bookmarks_guyem_add_pages() {

    add_submenu_page('options-general.php', 'guyem Bookmarks', 'guyem Bookmarks', 10, __FILE__, 'guyem_bookmarks_options');

}



//Function to create the vars in the database

function guyem_bookmarks_install () {

     $newbmguyem = get_option('bmguyem_options');

	 $newbmguyem['delicious'] = 'true';

	 $newbmguyem['digg'] = 'true';

	 $newbmguyem['google'] = 'true';

	 $newbmguyem['yahoo'] = 'true';

	 $newbmguyem['technorati'] = 'true';

	 $newbmguyem['meneame'] = 'true';

	 $newbmguyem['fresqui'] = 'true';

	 $newbmguyem['enchilame'] = 'true';

	 $newbmguyem['blinklist'] = 'true';

	 $newbmguyem['simpy'] = 'false';

	 $newbmguyem['spurl'] = 'false';

	 $newbmguyem['reddit'] = 'false';

	 $newbmguyem['autobombeame'] = 'true';

	 $newbmguyem['bitacoras'] = 'true';

	 $newbmguyem['designfloat'] = 'false';

	 $newbmguyem['wikio'] = 'true';

	 $newbmguyem['friendfeed'] = 'true';

	 $newbmguyem['facebook'] = 'true';

	 $newbmguyem['twitter'] = 'true';

	 $newbmguyem['emailthis'] = 'true';

	 $newbmguyem['textshare'] = "Share";

     add_option('bmguyem_options',$newbmguyem);

      

}



//Function to delete the vars from the database

function guyem_bookmarks_uninstall () {

     delete_option('bmguyem_options');

}



add_action('wp_head', 'bmguyem_style');

add_action('admin_menu', 'bookmarks_guyem_add_pages');

register_activation_hook(__FILE__,'guyem_bookmarks_install');

register_deactivation_hook(__FILE__,'guyem_bookmarks_uninstall');

?>